<html>
<head>
<title>OGRE: Ogre::EdgeListBuilder::Geometry Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1EdgeListBuilder.html">EdgeListBuilder</a>::<a class="el" href="structOgre_1_1EdgeListBuilder_1_1Geometry.html">Geometry</a></div>
<h1>Ogre::EdgeListBuilder::Geometry Struct Reference</h1><!-- doxytag: class="Ogre::EdgeListBuilder::Geometry" -->A set of indexed geometry data.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1EdgeListBuilder_1_1Geometry-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeListBuilder_1_1Geometry.html#515e33f1461254ad3cdc7245b1376858">vertexSet</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeListBuilder_1_1Geometry.html#75be34874367518d28ca0b75bfc59b85">indexSet</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1IndexData.html">IndexData</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeListBuilder_1_1Geometry.html#39ec43d8e228bc697e446ae290123c5d">indexData</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1RenderOperation.html#7a272218dae54048c87f31176c19e10d">RenderOperation::OperationType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1EdgeListBuilder_1_1Geometry.html#4a9b3308bf20885d61f2795b0b897903">opType</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
A set of indexed geometry data. 
<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00205">205</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="515e33f1461254ad3cdc7245b1376858"></a><!-- doxytag: member="Ogre::EdgeListBuilder::Geometry::vertexSet" ref="515e33f1461254ad3cdc7245b1376858" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeListBuilder_1_1Geometry.html#515e33f1461254ad3cdc7245b1376858">Ogre::EdgeListBuilder::Geometry::vertexSet</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00206">206</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

<p>Referenced by <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00213">Ogre::EdgeListBuilder::geometryLess::operator()()</a>.</p>

</div>
</div><p>
<a class="anchor" name="75be34874367518d28ca0b75bfc59b85"></a><!-- doxytag: member="Ogre::EdgeListBuilder::Geometry::indexSet" ref="75be34874367518d28ca0b75bfc59b85" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1EdgeListBuilder_1_1Geometry.html#75be34874367518d28ca0b75bfc59b85">Ogre::EdgeListBuilder::Geometry::indexSet</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00207">207</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

<p>Referenced by <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00213">Ogre::EdgeListBuilder::geometryLess::operator()()</a>.</p>

</div>
</div><p>
<a class="anchor" name="39ec43d8e228bc697e446ae290123c5d"></a><!-- doxytag: member="Ogre::EdgeListBuilder::Geometry::indexData" ref="39ec43d8e228bc697e446ae290123c5d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1IndexData.html">IndexData</a>* <a class="el" href="structOgre_1_1EdgeListBuilder_1_1Geometry.html#39ec43d8e228bc697e446ae290123c5d">Ogre::EdgeListBuilder::Geometry::indexData</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00208">208</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4a9b3308bf20885d61f2795b0b897903"></a><!-- doxytag: member="Ogre::EdgeListBuilder::Geometry::opType" ref="4a9b3308bf20885d61f2795b0b897903" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1RenderOperation.html#7a272218dae54048c87f31176c19e10d">RenderOperation::OperationType</a> <a class="el" href="structOgre_1_1EdgeListBuilder_1_1Geometry.html#4a9b3308bf20885d61f2795b0b897903">Ogre::EdgeListBuilder::Geometry::opType</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreEdgeListBuilder_8h-source.html#l00209">209</a> of file <a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreEdgeListBuilder_8h-source.html">OgreEdgeListBuilder.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:33 2008
</p>
</body>
</html>
